O Futuro é a Liberdade

Discussões sobre Software Livre e Sociedade

Apache OpenOffice: Instalação via repositório não oficial para Debian/Ubuntu/Mint

Posted by Paulo em 30/05/2012

Enquanto o Apache OpenOffice não fica disponível nos repositórios oficiais das distribuições Linux, alguns voluntários estão contornando o problema das instalações em modo gráfico e das atualizações automáticas através de repositórios não oficiais.

Marcelo Santana e Cláudio F. Filho, ambos da Comunidade Debian Brasil, criaram um repositório não oficial do Apache OpenOffice para Debian e derivados no Source Forge.

Os pacotes disponibilizados no repositório são exatamente os mesmos disponíveis no portal oficial do AOO. No entanto você pode incluir esse repositório no seu /etc/sources.list (ou na lista de repositórios da Central de Programas, ou do Gerenciador de Pacotes Synaptic, do Ubuntu).

O passo a passo para fazer isso é o seguinte:

1 – Via terminal (Debian e Mint):

  • Abra uma janela do terminal, copie a linha abaixo e cole nela.

gpg –recv-keys 90127F5B && gpg –export –armor 90127F5B|sudo apt-key add -

  • Edite o arquivo source.list com o comando abaixo:

sudo gedit /etc/apt/sources.list

  • Cole a linha abaixo no final do arquivo sources.list, salve e feche o editor.

deb http://downloads.sourceforge.net/project/apacheoo-deb/debian wheezy main

  • Copie as linhas abaixo (uma de cada vez) e cole na janela do terminal para instalar o Apache OpenOffice no seu computador:

sudo apt-get update && sudo apt-get install openoffice.org3-pt-br \ openoffice.org3-writer openoffice.org3-calc openoffice.org3-impress \ openoffice.org3-base openoffice.org3-draw openoffice.org3-math \ openoffice.org3.4-debian-menus

sudo apt-get install ooobasis3.4-gnome-integration

2 Via Central de Programas (Ubuntu e, em alguns casos, Mint):

  • Navegue até a pasta onde você fez o Download do arquivo Release.gpg e abra-o, conforme a figura abaixo:

  • Digite sua senha (você precisa ser administrador do sistema), conforma a figura abaixo:

Obs: É possível que haja erro na importação desse arquivo. Caso isso ocorra, a maneira mais fácil de contornar o problema é através do primeiro passo da instalação via terminal, descrita acima.

  • Clique na aba “Outro software” e, em seguida, no botão adicionar, conforme a figura abaixo:

  • Insira a linha abaixo e clique no botão “Adicionar Fonte”:

deb http://downloads.sourceforge.net/project/apacheoo-deb/debian wheezy main

  • Digite sua senha de administrador novamente:

  • Verifique a inclusão do repositório na lista. Aproveite para desmarcar o repositório de fontes para melhorar o desempenho da Central de Programas do Ubuntu. Depois clique no botão “Fechar”, conforme a figura abaixo:

  • No campo de pesquisa da Central de Programas do Ubuntu, procure por “Apache OpenOffice” e verifique se os pacotes aparecem na pesquisa e instale todos:


Após isso o seu Apache OpenOffice estará disponível no lançador do Unity. Para incluír os componentes na barra do lançador do Unity, basta digitar o nome e arrastar o ícone para a barra do lançador.

About these ads

5 Respostas to “Apache OpenOffice: Instalação via repositório não oficial para Debian/Ubuntu/Mint”

  1. PG Francisco said

    Ola amigos, eu sou novato e uso o Ubuntu 11.10 e infelizmente não consigo instalar nada via terminal tem sempre erros como: pedrofrancisco@PGFRANCISC:~$ sudo apt-get install mc
    [sudo] password for pedrofrancisco:
    A ler as listas de pacotes… Pronto
    A construir árvore de dependências
    A ler a informação de estado… Pronto
    O pacote mc não está disponível, mas é referenciado por outro pacote.
    Isso pode significar que o pacote falta, ou ficou obsoleto, ou
    está disponível somente a partir de outra fonte

    W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ oneiric/restricted i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_oneiric_restricted_binary-i386_Packages)
    W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ oneiric-updates/restricted i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_oneiric-updates_restricted_binary-i386_Packages)
    W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ oneiric/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_oneiric_partner_binary-i386_Packages)
    W: Você terá que executar apt-get update para corrigir estes problemas
    E: O pacote ‘mc’ não tem candidato para instalação
    pedrofrancisco@PGFRANCISC:~$

    em outros casos diz de um tal de “root” q nao seei como activa-lo tb.
    Por favor preciso da vossa ajuda, se devo activar ainda varias coisas ou alguma coisa assim parecida para q eu tenha os comandos em funcionamento

    Agradeço!

  2. Albino Biasutti Neto said

    Reblogged this on Albino B Neto.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s

 
Seguir

Obtenha todo post novo entregue na sua caixa de entrada.

Junte-se a 449 outros seguidores

%d blogueiros gostam disto: